package com.fs.live.service;

import java.util.List;

import com.fs.live.domain.LiveCompanyCode;

/**
 * 直播间销售小程序二维码Service接口
 *
 * @author fs
 * @date 2025-09-10
 */
public interface ILiveCompanyCodeService {
    /**
     * 查询直播间销售小程序二维码
     *
     * @param id 直播间销售小程序二维码主键
     * @return 直播间销售小程序二维码
     */
    LiveCompanyCode selectLiveCompanyCodeById(Long id);

    /**
     * 查询直播间销售小程序二维码列表
     *
     * @param liveCompanyCode 直播间销售小程序二维码
     * @return 直播间销售小程序二维码集合
     */
    List<LiveCompanyCode> selectLiveCompanyCodeList(LiveCompanyCode liveCompanyCode);

    /**
     * 新增直播间销售小程序二维码
     *
     * @param liveCompanyCode 直播间销售小程序二维码
     * @return 结果
     */
    int insertLiveCompanyCode(LiveCompanyCode liveCompanyCode);

    /**
     * 修改直播间销售小程序二维码
     *
     * @param liveCompanyCode 直播间销售小程序二维码
     * @return 结果
     */
    int updateLiveCompanyCode(LiveCompanyCode liveCompanyCode);

    /**
     * 批量删除直播间销售小程序二维码
     *
     * @param ids 需要删除的直播间销售小程序二维码主键集合
     * @return 结果
     */
    int deleteLiveCompanyCodeByIds(Long[] ids);

    /**
     * 删除直播间销售小程序二维码信息
     *
     * @param id 直播间销售小程序二维码主键
     * @return 结果
     */
    int deleteLiveCompanyCodeById(Long id);

    LiveCompanyCode selectByLiveIdAndUser(Long liveId, Long companyId, Long userId);
}
